package com.gci.boot.modules.msg.enums;

import lombok.Getter;

public enum RepairSenderEnum {
    /**
     * 发送用户类型
     * 1-项目成员中部门为运营维保部且角色包含运维部领导
     * 2-项目成员中部门为运营维保部
     * 3-账号部门为维修、保养单指派的维修厂
     * 4-账号部门包括所属项目在项目档案中的客户
     */

    /**
     * 待派单
     */
   WAIT_SEND(2,"2"),
    /**
     * 待报价
     */
    WAIT_OFFER(3,"3"),

    /**
     * 待审核
     */
    WAIT_CHECK_OFFER(4,"2"),

    /**
     * 待审批
     */
    WAIT_LEADER_CHECK_OFFER(5,"1"),

    /**
     * 维修中
     */
    REPAIRING(6,"3"),

    /**
     * 待确认
     */
    WAIT_CONFIRM_RESULT(7,"2")
    ;


    @Getter
    private Integer flowStatus;
    @Getter
    private String sendType;


    RepairSenderEnum(Integer flowStatus, String sendType){
        this.flowStatus = flowStatus;
        this.sendType = sendType;
    }

    public static RepairSenderEnum getEnumByFlowStatus(Integer flowStatus){
        for (RepairSenderEnum typeEnum : RepairSenderEnum.values()) {
            if (typeEnum.getFlowStatus() == flowStatus) {
                return typeEnum;
            }
        }
        return null;
    }
}
